#
# spec file for package ghc-git-lfs
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name git-lfs
%global pkgver %{pkg_name}-%{version}
Name:           ghc-%{pkg_name}
Version:        1.2.5
Release:        1.4
Summary:        Git-lfs protocol
License:        AGPL-3.0-or-later
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-case-insensitive-prof
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-client-prof
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-http-types-prof
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-network-uri-prof
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-text-prof
ExcludeArch:    %{ix86}

%description
An implementation of the git-lfs protocol.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%package -n ghc-%{pkg_name}-doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem
BuildArch:      noarch

%description -n ghc-%{pkg_name}-doc
This package provides the Haskell %{pkg_name} library documentation.

%package -n ghc-%{pkg_name}-prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       ghc-%{pkg_name}-devel = %{version}-%{release}
Supplements:    (ghc-%{pkg_name}-devel and ghc-prof)

%description -n ghc-%{pkg_name}-prof
This package provides the Haskell %{pkg_name} profiling library.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG

%files -n ghc-%{pkg_name}-doc -f ghc-%{pkg_name}-doc.files
%license LICENSE

%files -n ghc-%{pkg_name}-prof -f ghc-%{pkg_name}-prof.files

%changelog
* Tue Feb 18 2025 Peter Simons <psimons@suse.com>
- Update git-lfs to version 1.2.5.
  haskell-git-lfs (1.2.5) unstable; urgency=medium
  * Export mkEndpoint.
  - - Joey Hess <id@joeyh.name>  Tue, 18 Feb 2025 13:31:48 -0400
  haskell-git-lfs (1.2.4) unstable; urgency=medium
  * In guessEndpoint, when converting a http URL with a nonstandard
    port to https, guess the standard https port, rather than
    trying to use the same nonstandard port.
  - - Joey Hess <id@joeyh.name>  Tue, 18 Feb 2025 13:09:54 -0400
* Mon Jan 20 2025 Peter Simons <psimons@suse.com>
- Update git-lfs to version 1.2.3.
  haskell-git-lfs (1.2.3) unstable; urgency=medium
  * Expand containers bounds to allow 0.7
  - - Joey Hess <id@joeyh.name>  Mon, 20 Jan 2025 16:08:14 -0400
* Mon Dec 16 2024 Peter Simons <psimons@suse.com>
- Jailbreak version constraint on containers to fix the build.
* Thu Feb  1 2024 Peter Simons <psimons@suse.com>
- Update git-lfs to version 1.2.2.
  haskell-git-lfs (1.2.2) unstable; urgency=medium
  * Expand aeson bounds to allow 2.2.x
  * Expand text bounds to allow 2.1.x
  * Expand bytestring boulds to allow 0.12
  - - Joey Hess <id@joeyh.name>  Thu, 01 Feb 2024 12:25:41 -0400
* Fri Jun 23 2023 Peter Simons <psimons@suse.com>
- Add git-lfs at version 1.2.1.
